#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# SPDX-FileCopyrightText: 2021 Stefan Gehn <stefan+cmk@srcbox.net>
# SPDX-FileCopyrightText: 2023 Mark-Tim Junghanns <mark@markjunghanns.de>
#
# SPDX-License-Identifier: GPL-2.0-only

from cmk.gui.valuespec import Dictionary, TextAscii
from cmk.gui.plugins.wato import notification_parameter_registry, NotificationParameter


@notification_parameter_registry.register
class NotificationParameterRocketchat(NotificationParameter):
    @property
    def ident(self):
        return "rocketchat"

    @property
    def spec(self):
        return Dictionary(
            title=_("Create notification with the following parameters"),
            required_keys=["webhook_url"],
            elements=[
                (
                    "webhook_url",
                    TextAscii(
                        title=_("Webhook URL"),
                        help=_("Webhook URL des Monitoring Users"),
                        size=146,
                        allow_empty=False,
                    ),
                ),
            ],
        )
